# phd-scripts

This repository is a collection of scripts and numerical models developed during my PhD at University of Galway (NUIG at the time).

The PhD Thesis titled 'The Mechanical Performance of Permanent and Bioabsorbable Metal Stents' is freely available from the [university archive](http://hdl.handle.net/10379/3744).

The repository is sectioned by journal publication corresponding to each script, with an 'unpublished' section also. Each section includes a corresponding Zenodo archive link with exact versions of the srcipts used in the publication and other relevant binary data. 

The scripts in this software repository may be modified from the publication versions to account for dependency version changes (e.g. supporting newer Python), licensing and usage clarification and code cleaning and refactoring. You can use the commit history to get back to the original publication versions, using the zenodo archive links for reference.

Unless where otherwise specified the contents of this repository are Copyright University of Galway 2024. 

The software in this repository is licensed under the copyleft GNU GPL v3. See the included LICENSE file for details.

Other materials, such as INP files and documentation at licensed under Creative Commons BY-Share Alike Version 4. See here: https://creativecommons.org/licenses/by-sa/4.0/ for details on that license.

# Sections

* [A corrosion model for bioabsorbable metallic stents - Acta Biomaterialia, 2011](./ActaBiomat11/REAMDE.md)

* [A physical corrosion model for bioabsorbable metal stents - Acta Biomaterialia, 2013](./ActaBiomat13/README.md)

* [Optimizing the design of a bioabsorbable metal stent using computer simulation methods, Biomaterials, 2013](./Biomaterials13/README.md)

